.container_body{
    background-color: var(--color-negro-optimizado);
}

/* HEADER --------------------------------------*/

.cabecera{
    position: relative;
    padding-top: 12px;
    padding-bottom: 12px;
    display:flex;
    justify-content: space-between;
    align-items: center;
}


.menu{
    display: flex;
    /* gap: 18px; */
    font-family: var(--font-regular);
    font-size: var(--font-tamaño-aaaa);
    gap: 48px;
}

.menu a {
    color: white;
    list-style: none;
    text-decoration: none;
    font-family: var(--font-regular);
    font-size: var(--font-tamaño-aaaa);
    line-height: 1.5; 
    transition: font-family 0.3s ease, line-height 0.3s ease, letter-spacing 0.3s ease;
}

.menu a:hover {
    font-family: var(--font-italicaPTSerif);
    letter-spacing: normal;
}

.hamb-img{
    width: 2em;
}

.hamb-label{
    display:none;
    cursor: pointer;
}

#hamb-checkbox{
    display: none;
}

/* Clase para desactivar el scroll */
.no-scroll {
    overflow: hidden;
}



/* FIN HEADER --------------------------------------*/
/* STOCK TICKER --------------------------------------*/
:root {
    --gap: 4px;
}

.stock-ticker {
    position: fixed;
    bottom: 0;
    left: 0;
    font-family: var(--font-regular);
    font-size: var(--font-tamaño-aaaa);
    font-size: 15px;
    padding-block: 8px;
    /* border-block: 1px solid; */
    overflow: hidden;
    user-select: none;
    /* background-color: white;
    color: var(--color-negro-optimizado); */
    color: white;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    background-color: var(--color-negro-optimizado);
    
    
    display: flex;
    gap: var(--gap);
    z-index: 9;
  }
  
  .stock-ticker ul {
    list-style: none;
    flex-shrink: 0;
    min-width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--gap);
  
    animation: scroll 90s linear infinite;
  }

  .stock-ticker:hover ul {
    animation-play-state: paused;
  }
  
  .mail{
    font-family: var(--font-italicaPTSerif);
    font-size: var(--font-tamaño-aaaaa);
    color: white;
    text-decoration: none;
  }

  .mail:hover{
    color: var(--color-diamo);

  }

  @keyframes scroll {
    to {
      transform: translateX(calc(-100% - var(--gap)));
    }
  }
  
/* FIN DE STOCK TICKER --------------------------------------*/
/* PALABRAS --------------------------------------*/

.container_palabras {
    display: flex;
    font-family: var(--font-regular);
    font-size: var(--font-tamaño-d);
    color: white;
    line-height: 1;
    text-align: center;
    justify-content: center;
}

.container_palabras h1{
    color: white;
}


.container_palabras_categorias {
    padding-top: 64px;
    padding-bottom: 64px;
}


.categorias {
    font-family: var(--font-regular);
    font-weight: var(--font-peso);
    color: white;
    text-align: center;
    padding-top:8px;
}



/* TRABAJOS --------------------------------------*/
.container-gallery {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 20px;
    row-gap: 20px;
    padding-bottom: 68px;
}

.container_project {
    display: flex;
    gap: 20px;
}

.container_project_primero {
    display: flex;
    gap: 20px;
}

.container_project_segundo {
    display: flex;
    gap: 20px;
}

/* HOVER IMGS __________________________________*/
.container_trabajo {
    position: relative;
}

/* Envolturas específicas para medios */
.media-wrapper {
    position: relative;
    overflow: hidden;
}

/* Tamaños específicos para medios */
.media-wrapper.hibiscus {
    width: 100%; /* Ajusta este valor según sea necesario */
    height: auto; /* Ajusta este valor según sea necesario */
    
}

.media-wrapper.superstar {
    width: 100%; /* Ajusta este valor según sea necesario */
    height: auto; /* Ajusta este valor según sea necesario */
}

.container_trabajos_extra {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ajusta el contenido a las dimensiones del contenedor, recortando si es necesario */
}

/* Estilo para el texto superpuesto en las imágenes */
.card-text {
    width: 100%;
    height: 100%;
    position: absolute; /* Posiciona el elemento absolutamente respecto al contenedor padre */
    top: 0; /* Alinea al borde superior del contenedor padre */
    left: 0; /* Alinea al borde izquierdo del contenedor padre */
    color: #FFFFFF; /* Color del texto */
    background-color: rgba(0, 0, 0, 0.6); /* Fondo semitransparente */
    text-align: center;
    opacity: 0; /* Inicia invisible */
    display: flex; /* Usa flexbox para centrar el contenido */
    align-items: center; /* Centra el contenido verticalmente */
    justify-content: center; /* Centra el contenido horizontalmente */
    transition: opacity 0.5s ease; /* Transición suave para el cambio de opacidad */
}

/* Cambia la opacidad del texto cuando el ratón está sobre el contenedor del trabajo */
.media-wrapper:hover .card-text {
    opacity: 1; /* Hace visible el texto */
}

/* Estilo para el texto dentro del contenedor card-text */
.card-text h2 {
    margin: 0; /* Elimina cualquier margen por defecto */
    font-size: 1.5rem; /* Ajusta el tamaño de la fuente según sea necesario */
    text-align: center; /* Centra el texto */
}


/* FOOTER --------------------------------------*/

.pie {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding-top: 60px;
    padding-bottom: 60px;
    gap: 1em;
    overflow: hidden;
}

.container-pie-uno h4{
    color: white;
}

.logo-pie {
    width: 60%;
    height: auto;
    padding-bottom: 120px;
}

.derechos {
    padding-top: 22px;
    color: white;
}

.footer-title {
    font-family: var(--font-regular);
    font-weight: var(--font-peso);
    font-size: var(--font-tamaño-aa);
    color: white;
    margin-bottom: 16px;
    padding-bottom: 14px;
    text-decoration: underline;
    text-underline-offset: 14px;
}

.links {
    font-family: var(--font-regular);
    font-weight: var(--font-peso);
    font-size: var(--font-tamaño-aa);
    color: white;
}

.links li {
    margin-bottom: 12px;
}

.links li a {
    text-decoration: none;
    color: white;
}

.links li   :hover{
    color: var(--color-diamo);
}

/* FIN FOOTER________________________________________________________________________________________________________________    */
/* Pongo el media del nav aquí porque en otro css no lo lee y da problemas */
@media screen and (max-width: 725px) {
    body {
        padding: 20px; /* Ajustamos el padding del cuerpo */
    }   


/* AQUI VA EL MENU HAMBURGUESA -----------------------------> 725px*/

    .menu{
        /* Tiene q flotar */
        position: absolute;
        right:0;
        width: 100%;
        padding-top: 4rem;
        background: hsla(0, 0%, 15%, 0.9); 
        flex-direction: column;
        align-items: end;
        display: none;
        z-index: 10;         
        /* por defecto no se ve */ 
        
    }

    .hamb-label {
        display: block;
    } 

    #hamb-checkbox:checked ~ .menu{
        display:flex;        
        padding-bottom: 800px;
        margin-top: 30px;
    }


}

